## kubackup-server 3.0-ku26-01a

=== debian/changelog ===
kubackup-server (3.0-ku26-01a) unstable; urgency=low

  * modules files, sbin/kubackup-getconf

    ===== WARNING, CONFIG FILES FORMAT CHANGED == MANUAL CHANGES NEEDED ======

    - add: user and password can be defined in config files, and used if not
    	   defined in modules files
    - mod: modules file format changed, now user and password (if any) MUST be
    	   embedded in module name, and no longer as line args, ie:

	   	bck_,L  dirname  user pass --args

	   become

	       user:pass@bck_,L dirname --args

          or define 'user' and 'password' in .conf file

    - add: templates files for group precedences, excludes, modules

  * pre.d/05rename
    - add: now can move dirs across systems, too; the accepted lines can have now
    	   these formats:

	     1. system to_system
	     2. system from_dir to_dir
	     3. system from_dir to_system to_dir	# new


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 19 Jan 2026 15:09:33 +0100

kubackup-server (3.0-ku25-06a) unstable; urgency=low

  * sbin/kubackup-run
    - fix: still try to remount disk r/o even if is already umounted

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 03 Jan 2026 14:33:10 +0100

kubackup-server (3.0-ku25-04a) unstable; urgency=low

  * PACKAGE UPLOADED ON GITHUB

  * mirror script
    - add: this package depends from ku-file-utils; the only command used is
    	   'mirror', a bash frontend to rsync, if you want to avoid install
	   ku-file-utils, a copy of 'mirror' script in the documentation
	   directory

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 04 Apr 2025 12:47:24 +0200

kubackup-server (3.0-ku25-03a) unstable; urgency=low

  * sbin/kubackup-systems
    - upd: minor cosmetic changes

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 13 Mar 2025 10:53:31 +0100

kubackup-server (3.0-ku25-02a) unstable; urgency=low

  * sbin/kubackup-systems
    - upd: minor cosmetic changes, better help message, list of alt config files

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sun, 09 Feb 2025 13:11:32 +0100

kubackup-server (3.0-ku24-09b) unstable; urgency=low

  * sbin/kubackup-run
    - fix: nc will hang when running in background from interactive shell
	   (added </dev/null to cmdline)
    - add: system 'port' parameter, to override default remote rsync daemon port
    - fix: quoted strings in some tests
    - fix: cleanup, changed '==' to '=' in tests
    - del: removed 'sync' command at backup end

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 26 Sep 2024 08:35:46 +0200

kubackup-server (3.0-ku24-09a) unstable; urgency=low

  * sbin/kubackup-watch*
    - add: -N (N=number) option, used to display last N lines of current logfile

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 07 Sep 2024 22:13:03 +0200

kubackup-server (3.0-ku24-08a) unstable; urgency=low

  * bin/kubackup-dedup
    - new: utility that deduplicate files using hard-link; usefull for manual "fix"
    	   backup directory, but can be used over any tree

  * sbin/kubackup-watch (and companion kubackup-watch-cmd)
    - new: utility to live watch current backup infos

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 15 Aug 2024 08:59:10 +0200

kubackup-server (3.0-ku24-03a) unstable; urgency=low

  * sbin/kubackup-run
    - fix: quoted $SYS_rotation in various places (can be empty)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 19 Mar 2024 08:31:58 +0100

kubackup-server (3.0-ku24-01a) unstable; urgency=low

  * pre/05rename
    - fix: "continue" instead of "return" in line 87

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 07 Mar 2024 07:45:13 +0100

kubackup-server (3.0-ku23-12a) unstable; urgency=low

  * sbin/kubackup-run
    - fix: typo at line 610 ('&&' instead of '-a' in a test)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Fri, 22 Dec 2023 16:53:56 +0100

kubackup-server (3.0-ku23-10a) unstable; urgency=low

  * sbin/kubackup-run
    - fix: if rotations=0 doesn't uses --inplace option (was checked on $PREVDIR var,
    	   that is defined even rotations=0)

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 02 Oct 2023 08:50:17 +0200

kubackup-server (3.0-ku23-08a) unstable; urgency=low

  * debian/compat: (devuan daedalus) raised to 10

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Mon, 28 Aug 2023 14:28:31 +0200

kubackup-server (3.0-ku22-12a) unstable; urgency=low

  * pre.d/10clean
    - add: __kubackup metadata directory maintenance, logfiles cleanup; in the config
     	   file you can add MAX_LOGFILES_AGE=<days>, and the script will clean up
	   old logfiles based on this setting

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Tue, 14 Mar 2023 11:51:36 +0100

kubackup-server (3.0-ku22-04a) unstable; urgency=low

  * pre.d/05rename
    - mod: almost full rewritten

  * jt metafiles
    - upd: updated to 2021-10-26 version

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 06 Apr 2022 12:53:23 +0200

kubackup-server (3.0-ku22-02a) unstable; urgency=low

  * sbin/kubackup-export-mktar
    - fix: updted to reflect external packages changes; now searches binfiles
    	   in theyr actual path (using which) instead of using fixed path

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Wed, 23 Feb 2022 15:02:43 +0100

kubackup-server (3.0-ku21-11a) unstable; urgency=low

  * sbin/kubackup-getconf
    - add: modulesfile system key, points to the file containing modules, if any;
    	   if not defined defaults to $CONFDIR/<sys>_modules (previous beheaviour);
	   if defined the file MUST exists; can be absolute path, or relative to
	   $CONFDIR

  * sbin/kubackup-run
    - fix: uses kubackup-getconf when needed

 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Sat, 29 Jan 2022 12:15:22 +0100

kubackup-server (3.0-ku21-06b) unstable; urgency=low


