## kubackup-server 3.0-ku26-01b

=== debian/changelog ===
kubackup-server (3.0-ku26-01b) unstable; urgency=low

  * kubackup-getconf
    - fix: $CfgFile env override not working

  * pre.d/10clean
    - add: now handles systems with 0 rotations, too, converting multiple copies
      to one sigle slot if needed:

    	. removes extra copies
	. removes hanging symlink to slot name, if present
	. renames last copy to slot name


 -- Lorenzo Canovi (KUBiC Labs, CH) <packager@kubiclabs.com>  Thu, 29 Jan 2026 08:50:13 +0100
